var express = require('express');
var router = express.Router();
var commons = require('../include/commons');
var wlyyRepo = require("../repository/wlyy.repo");
var imRepo = require("../repository/im.repo");

function getWlyyTables(handler) {
    wlyyRepo.execQuery({
        "sql": "SELECT table_name FROM information_schema.TABLES",
        "args": [],
        "handler": handler
    });
}

function getImTables(handler) {
    imRepo.execQuery({
        "sql": "SELECT table_name FROM information_schema.TABLES",
        "args": [],
        "handler": handler
    });
}

/**
 * 数据库检查，包括所有表，连接状态。
 */
router.get(commons.END_POINT.Management.DbStatus, function(req, res, next) {
    getWlyyTables(function(err, result) {
        if (err) {
            res.send({errno: -1, errmsg: 'open wlyy db error'});

            getImTables(function(err, result) {
                if (err) {
                    res.send({errno: -1, errmsg: 'open im db error'});
                } else {
                    res.send({errno: 0, errmsg: 'open im db success'});
                }
            });
        } else {
            res.send({errno: 0, errmsg: 'open wlyy db success'});
        }
    });
});

module.exports = router;
